=== debian/changelog ===
utf8proc (2.7.0-3) unstable; urgency=medium

  * Upstream's Makefile is not parallel-safe,
    build with --no-parallel for now

 -- Graham Inggs <ginggs@debian.org>  Mon, 27 Dec 2021 07:47:18 +0000

utf8proc (2.7.0-2) unstable; urgency=medium

  * Use GraphemeBreakTest.txt as is, re-enable graphemetest
  * Use grep to generate Uppercase.txt and Lowercase.txt
  * Drop build-dependencies on perl and ruby
  * Adapt autopkgtest so it is triggered by changes to unicode-data

 -- Graham Inggs <ginggs@debian.org>  Fri, 24 Dec 2021 06:47:34 +0000

utf8proc (2.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Submit.

  [ Graham Inggs ]
  * New upstream release
  * Refresh use-unicode-data.patch
  * Build with unicode-data 14.0 (Closes: #995579)
  * Add build-dependency on ruby
  * Skip graphemetest that never completes
  * Update libutf8proc2.symbols with new symbols from 2.6.0
  * Install the pkgconfig file from libutf8proc-dev.install
    instead of debian/rules
  * Switch to debhelper 13
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 21 Dec 2021 14:29:13 +0000
