=== debian/control ===
Source: utf8proc
Priority: optional
Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>,
           Graham Inggs <ginggs@debian.org>,
           Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               unicode-data (<< 14.1),
               unicode-data (>= 14.0)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/JuliaStrings/utf8proc
Vcs-Git: https://salsa.debian.org/julia-team/utf8proc.git
Vcs-Browser: https://salsa.debian.org/julia-team/utf8proc

Package: libutf8proc2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C library for processing UTF-8 Unicode data (shared library)
 utf8proc is a small, clean C library that provides Unicode normalization,
 case-folding, and other operations for data in the UTF-8 encoding, supporting
 Unicode version 8.0.
 .
 This package contains a shared version of the library.

Package: libutf8proc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libutf8proc2 (= ${binary:Version}), ${misc:Depends}
Description: C library for processing UTF-8 Unicode data (development files)
 utf8proc is a small, clean C library that provides Unicode normalization,
 case-folding, and other operations for data in the UTF-8 encoding, supporting
 Unicode version 8.0.
 .
 This package contains the development files needed to compile software using
 utf8proc.
