=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Graham Inggs <ginggs@debian.org>,
            Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               unicode-data (<< 14.1),
-               unicode-data (>= 14.0)
+               unicode-data (<< 15.1),
+               unicode-data (>= 15.0)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
