=== debian/changelog ===
utf8proc (2.9.0-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:58:11 +0200

utf8proc (2.9.0-1) unstable; urgency=medium

  * Upload to unstable and start transition.

 -- Mo Zhou <lumin@debian.org>  Fri, 27 Oct 2023 14:45:19 -0400

utf8proc (2.9.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.9.0 (Closes: #1052835)
    supports unicode-data 15.1.0
  * Refresh remaining patches.
  * Bump SOVERSION from 2 to 3.
  * Discard the --no-parallel dh option.

 -- Mo Zhou <lumin@debian.org>  Sun, 22 Oct 2023 17:18:12 -0400
