=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: utf8proc
 Priority: optional
-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>,
            Graham Inggs <ginggs@debian.org>,
            Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               unicode-data (<< 15.1),
-               unicode-data (>= 15.0)
+               unicode-data (<< 15.2),
+               unicode-data (>= 15.1)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
@@ -14,7 +15,7 @@
 Vcs-Git: https://salsa.debian.org/julia-team/utf8proc.git
 Vcs-Browser: https://salsa.debian.org/julia-team/utf8proc
 
-Package: libutf8proc2
+Package: libutf8proc3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -30,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libutf8proc2 (= ${binary:Version}), ${misc:Depends}
+Depends: libutf8proc3 (= ${binary:Version}), ${misc:Depends}
 Description: C library for processing UTF-8 Unicode data (development files)
  utf8proc is a small, clean C library that provides Unicode normalization,
  case-folding, and other operations for data in the UTF-8 encoding, supporting
