## utf8proc 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,17 @@
-cmake_minimum_required (VERSION 3.0.0)
+cmake_minimum_required (VERSION 3.10)
 
 include (utils.cmake)
 
 disallow_intree_builds()
 
-if (POLICY CMP0048)
-  cmake_policy (SET CMP0048 NEW)
-endif ()
-project (utf8proc VERSION 2.7.0 LANGUAGES C)
+# API version - be sure to update utf8proc.h and Makefile, too!
+project (utf8proc VERSION 2.10.0 LANGUAGES C)
 
 # This is the ABI version number, which may differ from the
 # API version number (defined in utf8proc.h and above).
 # Be sure to also update these in Makefile and MANIFEST!
-set(SO_MAJOR 2)
-set(SO_MINOR 5)
+set(SO_MAJOR 3)
+set(SO_MINOR 1)
 set(SO_PATCH 0)
 
 option(UTF8PROC_INSTALL "Enable installation of utf8proc" On)
@@ -68,7 +66,7 @@
 if(UTF8PROC_ENABLE_TESTING)
   enable_testing()
   file(MAKE_DIRECTORY data)
-  set(UNICODE_VERSION 14.0.0)
+  set(UNICODE_VERSION 16.0.0)
   file(DOWNLOAD https://www.unicode.org/Public/${UNICODE_VERSION}/ucd/NormalizationTest.txt ${CMAKE_BINARY_DIR}/data/NormalizationTest.txt SHOW_PROGRESS)
   file(DOWNLOAD https://www.unicode.org/Public/${UNICODE_VERSION}/ucd/auxiliary/GraphemeBreakTest.txt ${CMAKE_BINARY_DIR}/data/GraphemeBreakTest.txt SHOW_PROGRESS)
   add_executable(case test/tests.h test/tests.c utf8proc.h test/case.c)
