=== debian/changelog ===
utf8proc (2.10.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Wed, 03 Sep 2025 13:15:04 +0200

utf8proc (2.10.0-1) experimental; urgency=medium

  [ Graham Inggs ]
  * Remove myself from Uploaders
  * Update Maintainer and Uploaders

  [ Matthias Geiger ]
  * d/gbp.conf: Update for DEP-14 style
  * New upstream release (Closes: #1108099)
  * d/control: Take over as maintainer
  * d/control: Bump S-V to 4.7.2, no changes needed
  * d/control: Switch VCS-Urls to /debian namespace
  * Rebase patch for new upstream release
  * d/rules: Drop obsolete buildsystem invocation
  * d/control: Require unicode-data 16.0
  * d/libutf8proc3.symbols: Add new symbol, add Build-Depends
  * d/watch: Switch to v4
  * d/copyright: Update

 -- Matthias Geiger <werdahias@debian.org>  Tue, 02 Sep 2025 19:59:20 +0200
