=== debian/control ===
--- 
+++ 
@@ -1,19 +1,14 @@
 Source: utf8proc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Peter Colberg <peter@colberg.org>,
-           Graham Inggs <ginggs@debian.org>,
-           Mo Zhou <lumin@debian.org>
+Maintainer: Matthias Geiger <werdahias@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               unicode-data (<< 15.2),
-               unicode-data (>= 15.1)
-Standards-Version: 4.6.0
+               unicode-data (>= 16.0)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/JuliaStrings/utf8proc
-Vcs-Git: https://salsa.debian.org/julia-team/utf8proc.git
-Vcs-Browser: https://salsa.debian.org/julia-team/utf8proc
+Vcs-Git: https://salsa.debian.org/debian/utf8proc.git
+Vcs-Browser: https://salsa.debian.org/debian/utf8proc
 
 Package: libutf8proc3
 Architecture: any
