=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/utf8proc-$1\.tar\.gz/ \
https://github.com/JuliaStrings/utf8proc/tags .*/v?(\d\S*)\.tar\.gz
