## utf8proc 2.11.3

=== debian/changelog ===
utf8proc (2.11.3-1) experimental; urgency=medium

  * New upstream release (Closes: #1125322)
  * d/control: Bump S-V to 4.7.3; drop priority: optional and RRR
  * d/patches: Rebase for new upstream
  * d/control: Require unicode-data 17.0.0
  * d/control: Add Built-Using for binary packages

 -- Matthias Geiger <werdahias@debian.org>  Mon, 12 Jan 2026 16:38:21 +0100
