=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: utf8proc
-Priority: optional
 Maintainer: Matthias Geiger <werdahias@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               unicode-data (>= 16.0)
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+               unicode-data (>= 17.0.0)
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://github.com/JuliaStrings/utf8proc
 Vcs-Git: https://salsa.debian.org/debian/utf8proc.git
@@ -15,6 +13,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${Built-Using}
 Description: C library for processing UTF-8 Unicode data (shared library)
  utf8proc is a small, clean C library that provides Unicode normalization,
  case-folding, and other operations for data in the UTF-8 encoding, supporting
@@ -27,6 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libutf8proc3 (= ${binary:Version}), ${misc:Depends}
+Built-Using: ${Built-Using}
 Description: C library for processing UTF-8 Unicode data (development files)
  utf8proc is a small, clean C library that provides Unicode normalization,
  case-folding, and other operations for data in the UTF-8 encoding, supporting
